public inbox for gcc-patches@gcc.gnu.org
 help / color / mirror / Atom feed
* libgo patch RFA: Fix handling of timex struct on ARM GNU/Linux
@ 2012-03-13 20:59 Ian Lance Taylor
  2012-03-13 21:11 ` Jakub Jelinek
  0 siblings, 1 reply; 2+ messages in thread
From: Ian Lance Taylor @ 2012-03-13 20:59 UTC (permalink / raw)
  To: gcc-patches, gofrontend-dev; +Cc: jakub

[-- Attachment #1: Type: text/plain, Size: 257 bytes --]

This patch to libgo fixes the handling of the timex struct on ARM
GNU/Linux.  This is PR go/52557: a boostrap failure on ARM.
Bootstrapped on x86_64-unknown-linux-gnu (I don't have an ARM GNU/Linux
system).  Committed to mainline.

OK for 4.7 branch?

Ian


[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: patch --]
[-- Type: text/x-diff, Size: 818 bytes --]

diff -r ca4aaf510222 libgo/mksysinfo.sh
--- a/libgo/mksysinfo.sh	Fri Mar 09 00:20:49 2012 -0800
+++ b/libgo/mksysinfo.sh	Tue Mar 13 13:52:59 2012 -0700
@@ -834,7 +834,15 @@
     >> ${OUT}
 
 # The timex struct.
-grep '^type _timex ' gen-sysinfo.go | \
+timex=`grep '^type _timex ' gen-sysinfo.go || true`
+if test "$timex" = ""; then
+  timex=`grep '^// type _timex ' gen-sysinfo.go || true`
+  if test "$timex" != ""; then
+    timex=`echo $timex | sed -e 's|// ||' -e 's/INVALID-bit-field/int32/g'`
+  fi
+fi
+if test "$timex" != ""; then
+  echo "$timex" | \
     sed -e 's/_timex/Timex/' \
       -e 's/modes/Modes/' \
       -e 's/offset/Offset/' \
@@ -858,6 +866,7 @@
       -e 's/tai/Tai/' \
       -e 's/_timeval/Timeval/' \
     >> ${OUT}
+fi
 
 # The rlimit struct.
 grep '^type _rlimit ' gen-sysinfo.go | \

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: libgo patch RFA: Fix handling of timex struct on ARM GNU/Linux
  2012-03-13 20:59 libgo patch RFA: Fix handling of timex struct on ARM GNU/Linux Ian Lance Taylor
@ 2012-03-13 21:11 ` Jakub Jelinek
  0 siblings, 0 replies; 2+ messages in thread
From: Jakub Jelinek @ 2012-03-13 21:11 UTC (permalink / raw)
  To: Ian Lance Taylor; +Cc: gcc-patches, gofrontend-dev, jakub

On Tue, Mar 13, 2012 at 01:59:00PM -0700, Ian Lance Taylor wrote:
> This patch to libgo fixes the handling of the timex struct on ARM
> GNU/Linux.  This is PR go/52557: a boostrap failure on ARM.
> Bootstrapped on x86_64-unknown-linux-gnu (I don't have an ARM GNU/Linux
> system).  Committed to mainline.
> 
> OK for 4.7 branch?

Ok.

	Jakub

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2012-03-13 21:11 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2012-03-13 20:59 libgo patch RFA: Fix handling of timex struct on ARM GNU/Linux Ian Lance Taylor
2012-03-13 21:11 ` Jakub Jelinek

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).